<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
			<head>
				<title>Upload Report</title>
				<script type="text/javascript" src="dialog.js"></script>
			</head>
			<body>
				<div id="title">
					<h1>Upload Report</h1>
				</div>
				<div id="form">
					<form id="report" method="POST" action="UploadReport.rpy">
					<p>Select mail recipients and report to upload</p>
					<table border="1">
						<xsl:apply-templates select="//inspectors"/>
						<xsl:apply-templates select="//managers"/>
						<xsl:apply-templates select="//task-owners"/>
					</table>
					<p><input type="submit" value="Submit"/></p>
					</form>
				</div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="inspectors">
		<tr>
			<td class="fieldname">Inspector</td>
			<td>
				<table>
					<tr>
						<td class="fieldname">Select</td>
						<td>
							<select id="inspector" size="1" onchange="updateEmail('inspector');">
								<option value="" selected="selected">&lt;new&gt;</option>
								<xsl:apply-templates select="inspector"/>
							</select>
						</td>
					</tr>
					<tr>
						<td class="fieldname">Name</td>
						<td><input id="inspector_name"/></td>
					</tr>
					<tr>
						<td class="fieldname">Email</td>
						<td><input id="inspector_email"/></td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="managers">
		<tr>
			<td  class="fieldname">Center Manager</td>
			<td>
				<table>
					<tr>
						<td>Select</td>
						<td>
							<select id="manager" size="1" onchange="updateEmail('manager');">
								<option value="" selected="selected">&lt;new&gt;</option>
								<xsl:apply-templates select="manager"/>
							</select>
						</td>
					</tr>
					<tr>
						<td class="fieldname">Name</td>
						<td><input id="manager_name"/></td>
					</tr>
					<tr>
						<td class="fieldname">Email</td>
						<td><input id="manager_email"/></td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="task-owners">
		<tr>
			<td  class="fieldname">Action Plan Task Owner</td>
			<td>
				<table>
					<tr>
						<td>Select</td>
						<td>
							<select id="task-owner" size="1" onchange="updateEmail('task-owner');">
								<option value="" selected="selected">&lt;new&gt;</option>
								<xsl:apply-templates select="task-owner"/>
							</select>
						</td>
					</tr>
					<tr>
						<td class="fieldname">Name</td>
						<td><input id="task-owner_name"/></td>
					</tr>
					<tr>
						<td class="fieldname">Email</td>
						<td><input id="task-owner_email"/></td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="inspector|manager|task-owner">
		<option value="{email}"><xsl:value-of select="name"/></option>
	</xsl:template>
	
</xsl:stylesheet>